Gemfile load error

I was trying to create a new project today and was unable to use the
rails
server. Here’s what happened

MacBook-Air:~ fy$ rails server
/Library/Ruby/Site/1.8/rubygems/dependency.rb:247:in to_specs': Could not find rails (>= 0) amongst [bundler-1.1.1, bundler-1.1.1, rake-0.9.2] (Gem::LoadError) from /Library/Ruby/Site/1.8/rubygems/dependency.rb:256:into_spec’
from /Library/Ruby/Site/1.8/rubygems.rb:1208:in `gem’
from /usr/bin/rails:18

When I tried to create a new directory and resources I got the same
answer:

MacBook-Air:~ fly$ rails new generalproj
/Library/Ruby/Site/1.8/rubygems/dependency.rb:247:in to_specs': Could not find rails (>= 0) amongst [bundler-1.1.1, bundler-1.1.1, rake-0.9.2] (Gem::LoadError) from /Library/Ruby/Site/1.8/rubygems/dependency.rb:256:into_spec’
from /Library/Ruby/Site/1.8/rubygems.rb:1208:in `gem’
from /usr/bin/rails:18

I’ve re-installed RVM, and Rails 1.9.3. Any ideas of what could be
happening? Thanks!

The ruby version you using now does not have any gem installed.
So should install bundler and then install gems required.

RVM store gems separately according different ruby version. Each ruby
has its own gem set.


rubyonrailsx
Sent with Sparrow (http://www.sparrowmailapp.com/?sig)

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs